> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/stellar-xlm/gettransactions-stellar.md).

# getTransactions - Stellar

This method returns a list of transactions from the Stellar network within a specified ledger range.

### Parameters

| Parameter   | Type    | Description                   |
| ----------- | ------- | ----------------------------- |
| startLedger | integer | The first ledger to include   |
| pagination  | object  | (optional) Pagination options |

Pagination Object:

| Field  | Type    | Description                              |
| ------ | ------- | ---------------------------------------- |
| cursor | string  | Cursor for pagination                    |
| limit  | integer | Maximum number of transactions to return |

### Request examples

{% tabs %}
{% tab title="curl" %}

```bash
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "getTransactions",
    "params": {
        "startLedger": 2539600,
        "pagination": {
            "limit": 10
        }
    },
    "id": "getblock.io"
}'
```

{% endtab %}

{% tab title="JavaScript" %}
{% code title="example.js" %}

```javascript
import axios from 'axios';

const data = JSON.stringify({
    "jsonrpc": "2.0",
    "method": "getTransactions",
    "params": {
        "startLedger": 2539600,
        "pagination": {
            "limit": 10
        }
    },
    "id": "getblock.io"
});

const config = {
    method: 'post',
    url: 'https://go.getblock.io/<ACCESS-TOKEN>/',
    headers: {
        'Content-Type': 'application/json'
    },
    data: data
};

axios(config)
    .then(response => console.log(JSON.stringify(response.data)))
    .catch(error => console.log(error));
```

{% endcode %}
{% endtab %}

{% tab title="Python" %}
{% code title="example.py" %}

```python
import requests
import json

url = "https://go.getblock.io/<ACCESS-TOKEN>/"

payload = json.dumps({
    "jsonrpc": "2.0",
    "method": "getTransactions",
    "params": {
        "startLedger": 2539600,
        "pagination": {
            "limit": 10
        }
    },
    "id": "getblock.io"
})

headers = {
    'Content-Type': 'application/json'
}

response = requests.post(url, headers=headers, data=payload)
print(response.text)
```

{% endcode %}
{% endtab %}

{% tab title="Rust" %}
{% code title="main.rs" %}

```rust
use reqwest::header;

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let client = reqwest::Client::new();
    
    let response = client
        .post("https://go.getblock.io/<ACCESS-TOKEN>/")
        .header(header::CONTENT_TYPE, "application/json")
        .body(r#"{
            "jsonrpc": "2.0",
            "method": "getTransactions",
            "params": {
                "startLedger": 2539600,
                "pagination": {
                    "limit": 10
                }
            },
            "id": "getblock.io"
        }"#)
        .send()
        .await?;
    
    println!("{}", response.text().await?);
    Ok(())
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Response

{% code title="response.json" %}

```json
{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": {
        "transactions": [
            {
                "status": "SUCCESS",
                "applicationOrder": 1,
                "feeBump": false,
                "envelopeXdr": "AAAAAgAAAAAg4dbAxs...",
                "resultXdr": "AAAAAAAAAGT...",
                "ledger": 2539600,
                "createdAt": "1700159048"
            }
        ],
        "latestLedger": 2553978,
        "latestLedgerCloseTime": "1700159337",
        "oldestLedger": 2536698,
        "oldestLedgerCloseTime": "1700072957",
        "cursor": "2539600-1"
    }
}
```

{% endcode %}

### Response Parameters

| Field        | Type    | Description                       |
| ------------ | ------- | --------------------------------- |
| transactions | array   | Array of transaction objects      |
| status       | string  | Transaction status                |
| ledger       | integer | Ledger sequence number            |
| envelopeXdr  | string  | Transaction envelope (base64 XDR) |
| resultXdr    | string  | Transaction result (base64 XDR)   |
| latestLedger | integer | Latest available ledger           |
| cursor       | string  | Cursor for pagination             |

### Use Case

The `getTransactions` method is essential for:

* Building block explorers
* Transaction history retrieval
* Network activity monitoring
* Data indexing services
* Analytics and reporting
* Historical analysis

### Error Handling

| Status Code | Error Message  | Cause                              |
| ----------- | -------------- | ---------------------------------- |
| 403         | Forbidden      | Missing or invalid ACCESS-TOKEN    |
| -32602      | Invalid params | Invalid ledger range or pagination |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.getblock.io/api-reference/stellar-xlm/gettransactions-stellar.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
